summaryrefslogtreecommitdiff
path: root/bin/extra/gdbs
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-11-29 17:21:07 +0100
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-11-29 17:21:07 +0100
commit1c632029d7a02742b0cc740b6984ce139429b88b (patch)
treec3ff42411f67d57ef86249723f38a726414ecd8a /bin/extra/gdbs
parent5464c097a44165473b352c463805a39799888c52 (diff)
checkpoint
Diffstat (limited to 'bin/extra/gdbs')
-rwxr-xr-xbin/extra/gdbs14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/extra/gdbs b/bin/extra/gdbs
new file mode 100755
index 0000000..e0fa371
--- /dev/null
+++ b/bin/extra/gdbs
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+gdbs="$HOME/.cache/gdbs"
+
+command="$@"
+if [ -z "$command" ]; then
+ [ -f ] && command="$(cat "$gdbs" 2>/dev/null)"
+ [ "$command" ] || exit 1
+fi
+
+gdbserver :4200 $command
+
+echo "$command" > "$gdbs"
+